Package org.apache.tomcat.util.net.openssl.ciphers

## Enum MessageDigest

- java.lang.Object
- - java.lang.Enum<MessageDigest>
  - - org.apache.tomcat.util.net.openssl.ciphers.MessageDigest

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageDigest>`

    public enum MessageDigest
    extends Enum<MessageDigest>

### Enum Constant Summary

Enum Constants
`AEAD`
`GOST89MAC`
`GOST94`
`MD5`
`SHA1`
`SHA256`
`SHA384`

### Method Summary

All Methods Static Methods Concrete Methods
`static MessageDigest` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static MessageDigest[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MD5

    public static final MessageDigest MD5

#### SHA1

    public static final MessageDigest SHA1

#### GOST94

    public static final MessageDigest GOST94

#### GOST89MAC

    public static final MessageDigest GOST89MAC

#### SHA256

    public static final MessageDigest SHA256

#### SHA384

    public static final MessageDigest SHA384

#### AEAD

    public static final MessageDigest AEAD

### Method Detail

#### values

    public static MessageDigest[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MessageDigest c : MessageDigest.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MessageDigest valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null